Subject: Re: bug#43480: 27.1; Default font size not saving on Mac

From: Alan Third <[email-masked]>
Date: Fri, 18 Sep 2020 10:48:27 +0100

merge 23366 43480
stop

On Fri, Sep 18, 2020 at 10:02:01AM +0300, Eli Zaretskii wrote:
> > Date: Thu, 17 Sep 2020 16:02:30 -0700
> > From: Germain Le Chapelain via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> > 
> > So, the default font options don't save across session on MacOS.
> > 
> > What I did is:
> > 
> > o clicked `Option > Set Default Font...'
> > o Reduce the font size (from 12 to 11)
> > o Closed the window
> > o Clicked `Option > Save Options'
> > 
> > Quit Emacs
> > Restart Emacs
> > 
> > I was seeing size 12 font again (and would see 12 selected in going back
> > to Options > Set Default Font')
> > 
> > I would have expected to see the font at the same size as saved in the
> > previous session.
> 
> See bug#40796, maybe it will give some hints (although that bug was
> not on macOS).
> 
> Basically, some of your customizations likely causes the manual
> setting of the font size to be overwritten.

It's actually down to the way the font picker on macOS is implemented,
I believe. I've tried in the past to work out how to make it match the
other terms, but have had no luck.

Although a quick search shows David Reitter provided some code before:

    https://lists.gnu.org/archive/html/bug-gnu-emacs/2009-04/msg00704.html

I've no idea if that works.
-- 
Alan Third